Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Get_Opt::ACE_Get_Opt_Long_Option Class Reference

List of all members.

## Public Member Functions
| ACE_Get_Opt_Long_Option (const ACE_TCHAR *name, int has_arg, int val=0)
| ctor
| ~ACE_Get_Opt_Long_Option (void)
| Dtor.
bool | operator< (const ACE_Get_Opt_Long_Option &rhs)
## Public Attributes
const ACE_TCHAR * | name_
| Long option name.
int | has_arg_
| Contains value for <option_arg_mode>.
int | val_

## Detailed Description

is for internal use in the ACE_Get_Opt class, and is inaccessible to users.

## Constructor & Destructor Documentation

ACE_Get_Opt::ACE_Get_Opt_Long_Option::ACE_Get_Opt_Long_Option | ( | const ACE_TCHAR * | name,
|  | int | has_arg,
|  | int | val = `0`
| ) |

| ctor

ACE_Get_Opt::ACE_Get_Opt_Long_Option::~ACE_Get_Opt_Long_Option | ( | void |  | ) |

| Dtor.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE bool ACE_Get_Opt::ACE_Get_Opt_Long_Option::operator< | ( | const ACE_Get_Opt_Long_Option & | rhs | ) |

## Member Data Documentation

int ACE_Get_Opt::ACE_Get_Opt_Long_Option::has_arg_

| Contains value for <option_arg_mode>.

const ACE_TCHAR* ACE_Get_Opt::ACE_Get_Opt_Long_Option::name_

| Long option name.

int ACE_Get_Opt::ACE_Get_Opt_Long_Option::val_

| Contains a valid short option character or zero if it doesn't have a corresponding short option. It can also contain a non-printable value that cannot be passed to <optstring> but will be returned by <operator()>. This is handy for simplifying long option handling, see tests/Get_Opt_Test.cpp for an example of this technique.

The documentation for this class was generated from the following files:

- Get_Opt.h
- Get_Opt.cpp
- Get_Opt.inl